apiVersion: apps/v1
kind: Deployment
metadata:
  name: minio-server
  namespace: minio
spec:
  replicas: 1
  selector:
    matchLabels:
      app: minio-server
  template:
    metadata:
      labels:
        app: minio-server
    spec:
      containers:
      - name: minio-server
        image: private-repo:5000/minio:RELEASE.2024-03-05T04-48-44Z
        args:
        - server
        - /data
        - --console-address=:9001
        ports:
        - containerPort: 9000
        - containerPort: 9001
        env:
        - name: MINIO_ROOT_USER
          value: "kra-minio"
        - name: MINIO_ROOT_PASSWORD
          value: "kra#minio@123"
        volumeMounts:
        - mountPath: "/data"
          name: minio-pv-volume
      volumes:
        - name: minio-pv-volume
          persistentVolumeClaim:
            claimName: minio-pv-claim
      nodeSelector: 
        name: node-1
